瀏覽代碼

Initial revision

Paul Eggert 28 年之前
父節點
當前提交
2eec797e22
共有 1 個文件被更改,包括 17 次插入0 次删除
  1. 17 0
      tests/gzip.sh

+ 17 - 0
tests/gzip.sh

@@ -0,0 +1,17 @@
+#! /bin/sh
+# tar should detect that its gzip child failed.
+
+. ./preset
+. $srcdir/before
+
+tar xfvz /dev/null
+test $? = 2 || exit 1
+
+err="\
+
+gzip: stdin: unexpected end of file
+tar: Child returned status 1
+tar: Error exit delayed from previous errors
+"
+
+. $srcdir/after